﻿using CetteAppliVaMarcher.Components;
using CetteAppliVaMarcher.Models;
using CetteAppliVaMarcher.Services;
using Microsoft.AspNetCore.Components;

public partial class Index
{
    [Inject]
    public IDataService DataService { get; set; }

    public List<Item> Items { get; set; } = new List<Item>();

    private List<CraftingRecipe> Recipes { get; set; } = new List<CraftingRecipe>();

    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();

        Items = await DataService.List(0, await DataService.Count());
        Recipes = await DataService.GetRecipes();
    }
}